=== FastPixel – WP Optimization made easy ===
Contributors: shortpixel
Tags: speed, optimization, cache, web vitals, pagespeed
Requires at least: 6.0
Tested up to: 6.4
Requires PHP: 5.6
Stable tag: 1.0.20
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html

Faster WordPress made easy - all the latest technology on how to accelerate your website neatly packed in a 1-minute-setup plugin.

== Description ==
**Faster WordPress made easy**

Have you ever wished your website scored 90+ on Google PageSpeed Insights, GTMetrix and other website performance analysis tools?
And achieve that without the need to pay expensive fees to consultants or learn a lot of advanced technical stuff? 
**[FastPixel](https://fastpixel.io/?utm_source=wp-repository&utm_medium=link) automatically integrates** all the latest technical enhancements, such as Page Caching, HTML/CSS/JS minification, DNS prefetching and preloading, Critical CSS, ShortPixel's [Smart Image Optimization](https://shortpixel.com/blog/introducing-smartcompress/?/?utm_source=wp-repository&utm_medium=link), adaptive images, background image scaling and optimization, HTTP/2 support, fonts loading optimization, caching, a global CDN, and Core Web Vitals, within a **simple-to-use, 1-minute-setup interface**.

== Quickly Test ==
There is **no need to install our plugin to run a test**.
You can quickly assess how  [FastPixel](https://fastpixel.io/) can optimize your website by conducting a test. Simply use [this test page](https://test.fastpixel.io/), and we will apply all optimizations to a copy of your website. 
This way, you can easily evaluate the substantial speed improvements it can achieve using the most widely recognized website performance analysis tools.

== Happy with your test? ==
If you're satisfied with the test, just search for "FastPixel" in your WordPress dashboard/plugins, install the plugin and see for yourself how much faster your site becomes.

== Additional questions ==
If you have more questions, technical or otherwise, please refer to our FAQ section below or [contact us](https://fastpixel.io/#contact). 
We typically respond within 15 minutes.

== Frequently Asked Questions ==

= Would you help me with the setup? =
Our plugin is intentionally designed to be straightforward, so you usually won't require assistance. 
However, if you have any questions or concerns, don't hesitate to [contact us](https://fastpixel.io/#contact), and we'll be quick to assist you.

= Why should I choose FastPixel? =
The FastPixel plugin offers an all-in-one solution to speed up your website. It's easy to set up, integrates the latest website speed optimization technologies, and is superbly supported by the [ShortPixel support team](https://wordpress.org/support/plugin/shortpixel-image-optimiser/reviews/?filter=5)

= Does FastPixel work on all hosting providers? =
Yes, our plugin works with all hosting providers, but if you encounter any issues just let us know and we will be happy to help!

= The Cache Status of my pages says "Queued". What does this mean? =
"Queued" cache status means that the page is in queue to be processed by our servers and will soon appear as "Cached".

= Is FastPixel free? =
Yes, as long as you install it on a website that doesn't generate more than 5,000 page views/month, you don't have to pay for it :-)
If you exceed this threshold no worries, affordable monthly or yearly plans are available for you.

= How much is 5,000 page views/month? = 
That's probably enough for over 90% of the websites on the Internet! If your website is visited by less than 100 visitors per day, it will most likely not exceed 5,000 page views/month.

= If I make changes to a cached page, will the page automatically be cached again? =
Yes, if you make any changes to a page that has already been cached, the page will automatically be cached with the new content.

= Will the plugin interfere with other themes, plugins or widgets? =
We have taken great care to ensure that FastPixel plugin won't interfere with other themes, plugins or widgets, minimizing the chances of compatibility issues. Despite our best efforts to mitigate the risks, considering the vast array of hosting providers, along with tens of thousands of plugins and themes available in the WordPress ecosystem, occasional conflicts with other plugins or widgets are possible. If you encounter any issues or suspect interference with other plugins or widgets, please don't hesitate to [contact us](https://fastpixel.io/#contact).
