<?php
namespace FASTPIXEL;

defined('ABSPATH') || exit;

if (!class_exists('FASTPIXEL\FASTPIXEL_Diag_Test_Urls_Match')) {
    class FASTPIXEL_Diag_Test_Urls_Match extends FASTPIXEL_Diag_Test
    {
        protected $order_id = 18;
        protected $name = 'Urls Match';
        protected $display_notifications = true;
        protected $rest_url = '';
        protected $visible_on_diagnostics_page = false;


        public function __construct()
        {
            parent::__construct();
        }

        public function test()
        {
            if (!is_multisite()) {
                if (defined('FASTPIXEL_REST_URL')) {
                    $this->rest_url = FASTPIXEL_REST_URL;
                } else if (function_exists('get_rest_url')) {
                    $this->rest_url = get_rest_url(get_current_blog_id(), FASTPIXEL_TEXTDOMAIN . '/v1/update');
                }
                $rest_url = wp_parse_url($this->rest_url, PHP_URL_HOST);
                $siteurl = wp_parse_url(get_site_url(), PHP_URL_HOST);
                if ($rest_url == $siteurl || preg_match('/^'.$siteurl.'/i', $rest_url)) {
                    $this->passed = true;
                } else {
                    /* translators: %1$s and %2$s should be a domain names */
                    $this->add_notification_message(sprintf(esc_html__('Callback domain (%1$s) doesn\'t match site domain (%2$s). FastPixel cannot handle requests with different domains.', 'fastpixel-website-accelerator'), esc_url($rest_url), esc_url($siteurl)), 'error');
                }
            } else {
                $this->passed = true;
            }
        }

        public function l10n_name()
        {
            $this->name = esc_html__('Urls Match', 'fastpixel-website-accelerator');
        }

    }
    new FASTPIXEL_Diag_Test_Urls_Match();
}